Subject: bug#21871: Emacs Lisp Mode (at least): spurious parens in column 0 don't get bold red highlighting.

From: Stefan Kangas <[email-masked]>
Date: Sun, 19 Sep 2021 15:14:18 -0700

Alan Mackenzie <[email-masked]> writes:

> Hello, Emacs.
>
> In the Emacs manual page "Left Margin Paren", it says that:
>
>    To help you catch violations of this convention, Font Lock mode
>    highlights confusing opening delimiters (those that ought to be quoted)
>    in bold red.
>
> , where "this convention" is the convention of not putting opening parens
> in column 0 when they aren't at the beginning of defuns.
>
> In Emacs Lisp Mode, this highlighting isn't done.  It isn't in CC Mode,
> either.

The above text no longer exists, and in Emacs 27.1 or later, we no
longer treat an unescaped ( in column zero in a docstring as the
beginning of a defun.  (See `(elisp) Documentation Tips', final
paragraph.)

So should this bug be closed, or is there anything more to do here?

> This is either a bug in the code, or a bug in the documentation.  I
> rather tend to the view that this bold red highlighting should be done
> when open-paren-in-column-0-is-defun-start is non-nil.  I think it did,
> at one stage, but searching the emacs-devel archives doesn't reveal what
> happened.